Subject: bug#54248: closed (Re: 29.0.50; Uninterned symbols malcompiling)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Mar 2022 22:40:02 +0000

Your bug report

#54248: 29.0.50; Uninterned symbols malcompiling

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54248: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54248
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 29.0.50; Uninterned symbols malcompiling
From: Michael Heerdegen <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: [email-masked]
Date: Sun, 06 Mar 2022 23:39:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Mackenzie <[email-masked]> writes:

> Yes, it was a bug in the byte compiler I introduced recently.  I've
> just committed a fix.  Could you please update your repository, and
> let me know whether this fix fixes the bug fully.  Thanks!

Looks good, I don't see this issue any more.

> Could you also let me know whether this fix has any positive impact on
> the other bug, #54079.  Thanks again!

I don't see any impact unfortunately, that issue looks unchanged.

Anyway, thanks for fixing this one, I'm just closing it...

Michael.

Subject: 29.0.50; Uninterned symbols malcompiling
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Cc: Alan Mackenzie <[email-masked]>
Date: Sat, 05 Mar 2022 02:24:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

this must be a few days old at maximum.  Random example:

Byte compile a file containing

  (set '#:my-toggle-invisible 3)

Load the compiled file ==> (wrong-type-argument symbolp (nil))

Interpreted code works.

CC'ing Alan because this might be related to his latest changes to the
compiler, I didn't investigate, sorry if not.

TIA,

Michael.

In GNU Emacs 29.0.50 (build 41, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2022-03-04 built on drachen
Repository revision: e46bb68ac27625e4bc466da842f74baea63e835a
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --with-native-compilation --with-xwidgets'